<div class="modal fade {{if this.modal.isLog "log"}}" tabindex="-1" role="dialog" aria-hidden="true" {{did-insert this.setupModal}}>
  <div class="modal-dialog {{if this.modal.isLog "modal-xl"}}" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title capitalize-first-letter">{{this.modal.title}}</h5>

        {{#unless this.modal.disableCancel}}
          <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close" {{on "click" this.reject}}>
          </button>
        {{/unless}}
      </div>
      <div class="modal-body">
        {{this.modal.message}}
        <ul>
          {{#each this.modal.list as |line|}}
            <li>{{line}}</li>
          {{/each}}
        </ul>

        {{#if this.modal.askPassword}}
          <label class="capitalize-first-letter" for="confirm-your-password">
            {{t "confirm your password"}}
          </label>
          <Input @type="password" @value={{this.modal.password}} class="form-control" id="confirm-your-password"/>
        {{/if}}
      </div>
      <div class="modal-footer">
        {{#if this.modal.isConfirmation}}
          {{#if this.modal.answers}}
            {{#unless this.modal.disableCancel}}
              <button type="button" class="btn me-auto btn-secondary btn-reject" {{on "click" this.reject}} data-dismiss="modal">
                {{capitalize (t "cancel")}}
              </button>
            {{/unless}}

            {{#each this.modal.answers as |option|}}
              <button type="button" class="btn {{option.class}} btn-resolve" {{on "click" (fn this.resolve option.key)}} data-dismiss="modal">
                {{capitalize option.text}}
              </button>
            {{/each}}
          {{else}}
            <button type="button" class="btn btn-secondary btn-reject" {{on "click" this.reject}} data-dismiss="modal">
              {{capitalize (t "no")}}
            </button>
            <button type="button" class="btn btn-primary btn-resolve" {{on "click" this.resolve}} data-dismiss="modal">
              {{capitalize (t "yes")}}
            </button>
          {{/if}}
        {{else}}
          <button type="button" class="btn btn-secondary btn-resolve" {{on "click" this.resolve}} data-dismiss="modal">
            {{capitalize (t "close")}}
          </button>
        {{/if}}
      </div>
    </div>
  </div>
</div>
